do_pata_set_dmamode
Prev | Chapter 8. ata_piix Internals | Next

## Name

do_pata_set_dmamode — Initialize host controller PATA PIO timings

## Synopsis

`void do_pata_set_dmamode (` | struct ata_port * | ap,
| struct ata_device * | adev,
| int | isich`)`;

## Arguments

`ap`

  Port whose timings we are configuring

`adev`

  Drive in question

`isich`

  set if the chip is an ICH device

## Description

Set UDMA mode for device, in host controller PCI config space.

## LOCKING

None (inherited from caller).

Prev | Up | Next
piix_set_piomode | Home | piix_set_dmamode